# This program generates a plot of Lennard-Jones potential.
# It reads the LJ parameters epsilon (in Joules 10**(-23) and s in Angstrom
# Dr. Walter F. de Azevedo Jr. Date: June 17, 2019.
# azevedolab.net

# Import libraries
import numpy
import matplotlib.pyplot as plt

# Read parameters
s = float (input("Type s (in Angstrom) => "))
epsilon = float(input("Type Epsilon ( in 10**(-23) J)=>"))      

# Calculate r and E_LJ
r = numpy.arange(2.4, 10.0, 0.001)
E_LJ = 4*epsilon*( (s/r)**12 - (s/r)**6 )

# plot stuff
plt.plot(r,E_LJ)
plt.xlabel('Interatomic distance ($\AA$)')
plt.ylabel('Potential energy ( 10$^{-23}$ J )')
plt.title('Lennard-Jones Potential')
plt.grid(True) 
plt.show()
plt.savefig("lj.png")